Upgrade to php 7.0 and Joomla 3.7

Home Forums Joomla Templates Oyster – Creative Photography Joomla Template Upgrade to php 7.0 and Joomla 3.7

This topic contains 13 replies, has 2 voices, and was last updated by  jayvalley 1 year, 1 month ago.

Viewing 14 posts - 1 through 14 (of 14 total)
  • Author
    Posts
  • #15424

    jayvalley
    Participant

    Support Expired

    Checked for this in other threads and it looks like it solved, but all the info was blocked.

    When I update to php7, I get the following errors and on top of that, akeeba no longer works.

    Deprecated: Methods with the same name as their class will not be constructors in a future version of PHP; plgSystemK2 has a deprecated constructor in /homepages/29/d695153529/htdocs/9-17/plugins/system/k2/k2.php on line 15

    Deprecated: Methods with the same name as their class will not be constructors in a future version of PHP; plgContentJw_allvideos has a deprecated constructor in /homepages/29/d695153529/htdocs/9-17/plugins/content/jw_allvideos/jw_allvideos.php on line 18

    I need to also upgrade to joomla 3.7

    Any help is appreciated.

    #15436

    CTHthemes
    Keymaster

    Hi, please update K2 version to latest version first.

    #16119

    jayvalley
    Participant

    Support Expired

    Thanks..Did that. Tried again and got this message:

    Deprecated: Methods with the same name as their class will not be constructors in a future version of PHP; plgContentJw_allvideos has a deprecated constructor in /homepages/29/d695153529/htdocs/9-17/plugins/content/jw_allvideos/jw_allvideos.php on line 18

    I updated to the latest AllVideos plugin and still get this message when I try to use PHP 7.0

    #16127

    CTHthemes
    Keymaster

    Hi, you can edit the file ( /homepages/29/d695153529/htdocs/9-17/plugins/content/jw_allvideos/jw_allvideos.php ) to replace function plgContentJw_allvideos with function __construct

    Or just hide the notice ( http://prntscr.com/gppaz6 ) and wait the plugin author update it to fix the issue.

    Thanks.

    #16139

    jayvalley
    Participant

    Support Expired

    Done. Thanks. Now am I good to go on upgrading to 3.8? Or should I go 3.7 for now?

    • This reply was modified 1 year, 1 month ago by  jayvalley.
    #16142

    jayvalley
    Participant

    Support Expired

    Wait…. now that I have upgraded to php 7.0, I get a screenful of errors when opening the K2 & the Azura components as well as the article manager in the backend.

    #16156

    CTHthemes
    Keymaster

    Hi, would you give the admin account to check?

    Ps: we are updating the template to compatible with PHP7 and Azura version 3.x and will release next week.

    Thanks.

    #16179

    jayvalley
    Participant

    Support Expired
    This reply has been marked as private.
    #16189

    CTHthemes
    Keymaster

    Hi, you have to update Joomla to 3.6+ ( https://github.com/joomla/joomla-cms/issues/10977 )

    Joomla 3.6 package: https://downloads.joomla.org/cms/joomla3/3-6-0

    Please make sure backup your site first.

    #16210

    jayvalley
    Participant

    Support Expired

    Do I need to do this manually? The joomla installer is not working. Tried 3.5.0 – 3.5.1 as well…same thing.

    Attachments:
    You must be logged in to view attached files.
    #16212

    CTHthemes
    Keymaster
    #16220

    jayvalley
    Participant

    Support Expired

    OK. Im on 3.6 Is it safe to update to 3.8?

    #16221

    CTHthemes
    Keymaster

    It’s safe with me. But you have install new version of Joomla Update Component first as https://github.com/joomla/joomla-cms/releases/tag/3.6.1

    #16227

    jayvalley
    Participant

    Support Expired

    Fully upgraded. Thanks for your help!

Viewing 14 posts - 1 through 14 (of 14 total)

You must be logged in to reply to this topic.

Hello! CityBook version 1.2.7 was released. Bulk Import Add-On, OpenStreetMapView Details
+